The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

Upgrade the Software on Device

Prev Next

This URL upgrades the software on device.

Resource URL

PUT sensor/<sensor_id>/deploydevicesoftware/<swVersion>

Request Parameters

URL Parameter

Field Name

Description

Data Type

Mandatory

sensor_id

Sensor ID

Number

Yes

swVersion

Software version to upgrade

String

Yes

Response Parameters

Following fields are returned if the request parameters are correct, otherwise error details are returned.

Field Name

Description

Data Type

RequestId

The ID of the upgrade process

String

Example

Request

PUT https://<NSM_IP>/sdkapi/sensor/1001/deploydevicesoftware/9.1.5.9

Response

{
"RequestId": "1337547887180"
	}

Error Information

Following error codes are returned by this URL:

S.No

HTTP Error Code

SDK API errorId

SDK API errorMessage

1

400

1106

Invalid Sensor ID

2

400

3010

Software version provided does not exist for the Sensor : (<sensor>:<version>)